libzypp: zypp::RepoManager::Impl Class Reference

libzypp 17.38.11

zypp::RepoManager::Impl Class Reference

RepoManager implementation. More...

## Public Member Functions
| Impl (zyppng::ContextRef &&ctx, RepoManagerOptions &&opt)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
const zyppng::RepoManager & | ngMgr () const
zyppng::RepoManager & | ngMgr ()

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
zyppng::RepoManagerRef | _ngMgr

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

RepoManager implementation.

Definition at line 40 of file RepoManager.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::RepoManager::Impl::Impl | ( | zyppng::ContextRef && | ctx,
|  | RepoManagerOptions && | opt )
| inline

Definition at line 43 of file RepoManager.cc.

## ◆ Impl() [2/3]

zypp::RepoManager::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::RepoManager::Impl::Impl | ( | Impl && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::RepoManager::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::RepoManager::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ ngMgr() [1/2]

const zyppng::RepoManager & zypp::RepoManager::Impl::ngMgr | ( |  | ) | const
| inline

Definition at line 53 of file RepoManager.cc.

## ◆ ngMgr() [2/2]

zyppng::RepoManager & zypp::RepoManager::Impl::ngMgr | ( |  | ) |
| inline

Definition at line 57 of file RepoManager.cc.

## ◆ clone()

Impl * zypp::RepoManager::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 67 of file RepoManager.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _ngMgr

zyppng::RepoManagerRef zypp::RepoManager::Impl::_ngMgr
| private

Definition at line 62 of file RepoManager.cc.

The documentation for this class was generated from the following file:

- zypp/RepoManager.cc